AbstractStructuredBindingEditor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.databinding.converters
[Groovy] Class AbstractStructuredBindingEditor

    java.lang.Object
      org.grails.databinding.converters.AbstractStructuredBindingEditor

All Implemented Interfaces:
  TypedStructuredBindingEditor

    @groovy.transform.CompileStatic
    abstract class AbstractStructuredBindingEditor
    extends java.lang.Object

An abstract base class for StructuredBindingEditor instances which can be auto-discovered as beans in the Spring application context

See Also:
  StructuredBindingEditor

Since:
  2.3.4

Property Summary
`java.lang.Class` | `targetType`

Constructor Summary
`AbstractStructuredBindingEditor()`

Method Summary
`java.lang.Object` | `getPropertyValue(java.lang.Object obj, java.lang.String propertyName, DataBindingSource bindingSource)`
`java.lang.Object` | `getPropertyValue(java.util.Map values)`
`java.util.Map` | `getPropertyValuesMap(java.lang.String propertyPrefix, DataBindingSource bindingSource)` A convenience method for extracting structured values from a DataBindingSource.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### targetType

    final java.lang.Class targetType

Constructor Detail

### AbstractStructuredBindingEditor

    AbstractStructuredBindingEditor()

Method Detail

### getPropertyValue

    @java.lang.Override
    java.lang.Object getPropertyValue(java.lang.Object obj, java.lang.String propertyName, DataBindingSource bindingSource)

### getPropertyValue

    java.lang.Object getPropertyValue(java.util.Map values)

### getPropertyValuesMap

    java.util.Map getPropertyValuesMap(java.lang.String propertyPrefix, DataBindingSource bindingSource)

  A convenience method for extracting structured values from a DataBindingSource. The method will look for all properties in bindingSource which have a key which begins with propertyPrefix followed by an underscore and put each of those values in the resulting Map with a key that matches the original key with the propertyName plus prefix removed. For example, if propertyPrefix is "address" and bindingSource contains the key "address_city" with a value of "St. Louis" then the resulting Map will contain an entry such that the key is "city" with a value of "St. Louis"
  Parameters:
    `propertyPrefix` - The property name to extract structured values for
    `bindingSource` - the DataBindingSource to extract structured values from
  Returns:
    A Map containing keys and values as described above.

Groovy Documentation